# Coupon Codes

Coupon Codes

 - [GET /couponCodes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbytenantid.md): Returns a list of records with the specified tenant_id
 - [POST /couponCodes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/createcouponcode.md): This method will auto-generate an ID and create a new coupon code. If an ID is specified for the coupon code, an error will be thrown.
 - [POST /couponCodes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /couponCodes/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbycontactid.md): Returns a list of records with the specified contact_id
 - [GET /couponCodes/{tenantId}/coupon/{coupon_type}/{coupon_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbycouponid.md): Returns a list of records with the specified coupon_id
 - [GET /couponCodes/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbyorderid.md): Returns a list of records with the specified order_id
 - [GET /couponCodes/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/listcodesbyorganizationid.md): Returns a list of records with the specified organization_id
 - [POST /couponCodes/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/previewemail.md): Sends out a preview of the email
 - [DELETE /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/deletecouponcode.md): This method will delete a coupon code with the specified ID.
 - [GET /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/getcouponcode.md): This method will look up a coupon code by the specified ID and return it back.
 - [PATCH /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/patchcouponcode.md): This method will patch an existing coupon code with the specified ID, using the HTTP PATCH specification.
 - [PUT /couponCodes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/coupon-codes/updatecouponcode.md): This method will update an existing coupon code with the specified ID.
